# Bernoulli
tails <- 3
heads <- 7
pi <- seq(0, 1, length = 200)
par(mar = c(4.1, 6, 1, 1))
plot(pi, pi^(tails)*(1-pi)^(heads), type = "l", bty = "n", yaxt = "n", 
     xlab=expression(pi), ylab = "",ylim=c(0,0.0025))
axis(2, las = 2)
mtext(side= 2, line = 4.5, "Likelihood")
# For which value of pi the occurence of the data set at hand is most likely?
abline(v=tails/(tails+heads), col=2,lwd=2)
# For comparison: a fair coin
abline(v=0.5, col=1,lwd=2)

# Likelihood of Maximum-likelihood estimate
max(pi^(tails)*(1-pi)^(heads))
# Likelihood of fair coin (black)
.5^(tails)*(1-.5)^(heads)
# Likelihood ratio
max(pi^(tails)*(1-pi)^(heads))/(.5^(tails)*(1-.5)^(heads))
abline(h=max(pi^(tails)*(1-pi)^(heads)),col=2,lwd=2,lty=2)
abline(h=(.5^(tails)*(1-.5)^(heads)),col=1,lwd=2,lty=2)

# relative evidence!!!
# Likelihood of 0.7
.7^(tails)*(1-.7)^(heads)
# Likelihood of 0.01
.01^(tails)*(1-.01)^(heads)
# Likelihood ratio
.7^(tails)*(1-.7)^(heads)/.01^(tails)*(1-.01)^(heads)


# posterior/Bayesian interpretation: build a credible interval which has, given our observed data, 
# a probability of 95% of containing the true value

tails <- 3
heads <- 7
pi <- seq(0, 1, length = 200)
par(mar = c(4.1, 6, 1, 1))
plot(pi, pi^(tails)*(1-pi)^(heads), type = "l", bty = "n", yaxt = "n", 
     xlab=expression(pi), ylab = "",ylim=c(0,0.0025))
axis(2, las = 2)
mtext(side= 2, line = 4.5, "Likelihood")
# For which value of pi the occurence of the data set at hand is most likely?
abline(v=tails/(tails+heads), col=2,lwd=2)
# For comparison: a fair coin
abline(v=0.5, col=1,lwd=2)
pi <- seq(0, 1, length = 500)
L <- function(pi){
  pi^(tails)*(1-pi)^(heads)
}
L_integral <- integrate(L, lower = 0, upper = 1)[[1]]
cdf_p <- diff(pi)[1]*cumsum(L(pi))/L_integral
p_lo <- pi[which.min(abs(cdf_p - 0.025))]
p_up <- pi[which.min(abs(cdf_p - 0.975))]
## Approximate 95% central interval for pi is then:
abline(v = print(c(p_lo, p_up)), lty = 2)

