###Exercise
#
#         Create a data set with 3 variables: "IQ", "schooling years",
#         and "hours of sitting" with a correlation of 0.5 between these variables.
#         Each variable should have 100 observations. Set the seed to 30 beforehand such that
#         you can compare your results.
if(!require(MASS)){install.packages('MASS')}
library("MASS")
set.seed(30)
cormatrix <- matrix(c(1,0.5,0.5,0.5,1,0.5,0.5,0.5,1), nrow=3, ncol=3)
dat <- data.frame(mvrnorm(n = 100, rep(0, 3), Sigma=cormatrix))
colnames(dat)<-c("IQ", "schooling","sitting")
#         Use "IQ", "schooling", and "sitting" to create a variable 
#         "earnings". This is the data-generating process for earnings.
#         The effect of IQ on earnings should be 10, the effect of 
#         schooling on earnings should be 3, and the effect
#         of sitting on earnings should be 0. There should be also 
#         random noise generated by rnorm(1000).


earnings <- 10*dat$IQ+3*dat$schooling+0*dat$sitting+rnorm(100)

#         Estimate a linear regression of "earnings" on "schooling", "sitting",
#         and "IQ".

summary(lm(earnings~dat$IQ+dat$schooling+dat$sitting))

#        Drop "IQ" from the regression. How and why is the coefficient
#        for "sitting" and "schooling" changing?

summary(lm(earnings~dat$schooling+dat$sitting))

#        Drop "schooling" from the regression. How and why is the coefficient
#        for "sitting" and "IQ" changing?

summary(lm(earnings~dat$IQ+dat$sitting))



###Exercise
#
#         Create a data set with 4 variables: "IQ", "schooling years",
#         "hours of sitting" and "number of friends" with a correlation of 0.5 between the first
#         three variables and a correlation of 0.3 between "number of friends" and "schooling years"
#         and -0.3 between "number of friends" and the remaining to variables.
#         Each variable should have 100 observations. Set the seed to 30 beforehand such that
#         you can compare your results.

set.seed(30)
cormatrix <- matrix(c(1,0.5,0.5,-0.3,0.5,1,0.5,0.3,0.5,0.5,1,-0.3,-0.3,0.3,-0.3,1), nrow=4, ncol=4)
dat <- data.frame(mvrnorm(n = 100, rep(0, 4), Sigma=cormatrix))
colnames(dat)<-c("IQ", "schooling","sitting", "friends")

#         Use "IQ", "schooling", and "sitting" to create a variable 
#         "earnings". This is the data-generating process for earnings.
#         The effect of IQ on earnings should be 10, the effect of 
#         schooling on earnings should be 3, and the effect
#         of sitting and friends on earnings should be 0. There should be also 
#         random noise generated by rnorm(1000).


earnings <- 10*dat$IQ+3*dat$schooling+0*dat$sitting+0*dat$friends+rnorm(100)

#        Please find regressions where the estimates for the coefficient
#        of friends is (1) non-significant, (2) negative and significant and
#        (3) positive and significant.

summary(lm(earnings~dat$IQ+dat$schooling+dat$sitting+dat$friends))
summary(lm(earnings~dat$schooling+dat$sitting+dat$friends))
summary(lm(earnings~dat$IQ+dat$sitting+dat$friends))




